Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class InvalidAssociationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.InvalidAssociationException

All Implemented Interfaces:
  MessageCatalogException, Serializable

public class InvalidAssociationException
extends DiscountException

Indicates that the discount id, customer pair does not represent a valid discount association.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`InvalidAssociationException(String messageKey)` Class constructor taking key of the associated catalog message.
`InvalidAssociationException(String messageKey, Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`InvalidAssociationException(String messageKey, Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`InvalidAssociationException(String messageKey, Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAssociationException

    public InvalidAssociationException(String messageKey)

  Class constructor taking key of the associated catalog message.

### InvalidAssociationException

    public InvalidAssociationException(String messageKey,
                                       Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

### InvalidAssociationException

    public InvalidAssociationException(String messageKey,
                                       Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

### InvalidAssociationException

    public InvalidAssociationException(String messageKey,
                                       Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved